Package org.gradle.platform.base

# Interface LibraryBinarySpec

All Superinterfaces:
  `Binary`, `BinarySpec`, `Buildable`, `BuildableComponentSpec`, `CheckableComponentSpec`, `ComponentSpec`, `ModelElement`, `Named`

All Known Subinterfaces:
  `JarBinarySpec`, `NativeLibraryBinarySpec`, `SharedLibraryBinarySpec`, `StaticLibraryBinarySpec`

@Incubating public interface LibraryBinarySpec extends BinarySpec
A binary produced from a ``LibrarySpec``.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.gradle.api.Named

`Named.Namer`

## Method Summary

Modifier and Type
Method
Description
`LibrarySpec`
`getLibrary()`
The library that this binary belongs to.

### Methods inherited from interface org.gradle.platform.base.Binary

`getDisplayName`

### Methods inherited from interface org.gradle.platform.base.BinarySpec

`getInputs, getSources, getTasks, isBuildable`

### Methods inherited from interface org.gradle.api.Buildable

`getBuildDependencies`

### Methods inherited from interface org.gradle.api.BuildableComponentSpec

`builtBy, getBuildTask, hasBuildDependencies, setBuildTask`

### Methods inherited from interface org.gradle.api.CheckableComponentSpec

`checkedBy, getCheckTask, setCheckTask`

### Methods inherited from interface org.gradle.platform.base.ComponentSpec

`getProjectPath`

### Methods inherited from interface org.gradle.model.ModelElement

`getDisplayName, getName`

## Method Details

### getLibrary

LibrarySpec getLibrary()
The library that this binary belongs to.